Vagrant.configure(2) do |config|

	config.ssh.insert_key = false
	config.vm.box = "ubuntu/lunar64"
	config.vm.hostname = "ubuntu-aws-cli"
	config.vm.network "private_network", ip: "192.168.50.100"
	
	config.vm.provision "shell" do |shell|
		shell.path = "01-install-base-tools.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "02-install-git.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "03-install-docker.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "04-install-aws-cli.sh"
	end	
		
	config.vm.provider "virtualbox" do |vb|
		vb.customize ['modifyvm', :id, '--cpus', 2]
		vb.customize ['modifyvm', :id, '--memory', 2048]
	end
	
end